## org.biojava.bio.dp
Class MagicalState

    java.lang.Object
      |
      +--org.biojava.bio.dp.SimpleEmissionState
            |
            +--org.biojava.bio.dp.MagicalState

public final class MagicalState
extends SimpleEmissionState

Start/end state for HMMs.

All MagicalState objects emit over MAGICAL_ALPHABET, which only contains MAGICAL_STATE.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Method Summary
`static MagicalState` `getMagicalState(Alphabet alphabet, int heads)`

Methods inherited from class org.biojava.bio.dp.SimpleEmissionState
`getAdvance, getAnnotation, getDistribution, getMatches, getName, getToken, registerWithTrainer, setAdvance, setAnnotation, setDistribution, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMagicalState

    public static MagicalState getMagicalState(Alphabet alphabet,
                                               int heads)